/*-------------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
-------------------------------------------------------------------------------*/

#ifndef PARTYROLE_H
#define PARTYROLE_H

class MomentInterval;

/**
 * @stereotype role
 */
class PartyRole {
  public:
    void assessAcrossMIs();

    void listMIs();

    static void listRoles();

    static int assessAcrossRoles();

  private
    int assignedNumber;
    int status;

    /**
     *@supplierCardinality 0..*
     *@clientCardinality 1
     */
    MomentInterval * lnkUnnamed;
};
#endif //PARTYROLE_H
